Download OpenAPI specification:Download
This API is intended for card issuers who want to provide a fast, secure, and user-friendly way for customers to add (push) their eligible cards to Vipps or MobilePay without manually entering card details.
For a detailed overview of the push provisioning flow, please refer to the Push Provisioning API documentation.
Business correlation across multiple traces (retries, async jobs). Can be provided by the client.
Direct lookup for single trace.
Mutual TLS authentication for secure API communication.
You can send the files for test and production environments to support_ps@vippsmobilepay.com, and let us know in Slack.
INTERNAL_SERVER_ERROR
An uncategorized server-side error occurred. User may try again later, if the issue persists please contact support.
REQUEST_VALIDATION_ERROR
The request failed validation. Returned when required fields are missing or input does not pass validation checks. Details are provided in the response body.
Initiate card provisioning flow to let the user easily add the given card to their Vipps MobilePay app.
| encryptedCardData required | string Encrypted JSON Web Encryption (JWE) token containing sensitive card data.
|
| countryCode required | string ISO 3166-1 alpha-2 country code indicating nationality of the given NIN. |
| nin required | string National identity number of the cardholder. |
| returnUrl | string or null <uri> Redirect URL for returning to the calling application after provisioning completes. |
| issuerName required | string The name of the bank that issued the card. Must be between 1 and 255 characters. |
| last4 required | string Last 4 digits of the card number for display and verification purposes. |
| suggestedNickname | string or null If you allow your customers to give custom names to their cards or to the connected account, please provide us with this information. We will suggest it as a nickname for the card in our app. Value can be up to 30 characters long |
{- "encryptedCardData": "eyJhbGciOiJSU0EtT0FFUC0yNTYiLCJlbmMiOiJBMjU2R0NNIn0...",
- "countryCode": "NO",
- "nin": "12345678901",
- "issuerName": "Vipps Bank AS",
- "last4": "1234",
- "suggestedNickname": "Budget Account"
}